Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5954 - kickstart installs encrypt already-encrypted password
Summary: kickstart installs encrypt already-encrypted password
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-14 17:01 UTC by Mike Iglesias
Modified: 2015-01-07 23:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-08 18:19:01 UTC


Attachments (Terms of Use)

Description Mike Iglesias 1999-10-14 17:01:44 UTC
I have the following line in my ks.cfg file:

rootpw --iscrypted (encrypted string here)

When I installed RH 6.0 using this ks.cfg file, the root
password (which works on another RH 6.0 system) did not
work.  Further investigation revealed that the root password
was set to the encrypted string rather than using the
encrypted string as the already-encrypted password.  In
other words, I had to type the characters of the encrypted
password to log in rather than what the encrypted password
represented.


Mike Iglesias
University of California, Irvine
iglesias@Uci.edu

Comment 1 Jay Turner 2000-02-08 18:18:59 UTC
This issue is fixed in the latest RawHide.


Note You need to log in before you can comment on or make changes to this bug.